#ifndef MACHLIB_H
#define MACHLIB_H

#define MT_LOCALS		0
#define MT_GLOBALS		1
#define MT_WILDCARDS	2
#define MT_EXACT_MATCH	4
#define MT_SLOPPY_MATCH	8
#define MT_MATCH_NEXT	16

#define TASKNAME "LIST_TASK"

#define LIST_Dummy         (TAG_USER + 99)       // 0x80000063
#define LIST_TaskInfo      (LIST_Dummy + 0x01)   // ptr to TaskInfo struct
#define LIST_Type          (LIST_Dummy + 0x02)   // see below for types
#define LIST_LeftEdge      (LIST_Dummy + 0x03)   // list left edge. def. -1
#define LIST_TopEdge       (LIST_Dummy + 0x04)   // list top edge. def. -1
#define LIST_Globals       (LIST_Dummy + 0x05)   // list + globals? def. TRUE
#define LIST_AlarmsOnly    (LIST_Dummy + 0x06)   // list only alarms def. FALSE
#define LIST_Title         (LIST_Dummy + 0x07)   // list title
#define LIST_OkayString    (LIST_Dummy + 0x08)   // okay text
#define LIST_CancelString  (LIST_Dummy + 0x09)   // cancel text

// Allowable tag values for LIST_Type

#define LIST_WINDOWS		0x1
#define LIST_SCREENS		0x2
#define LIST_MACRONAMES		0x4
#define LIST_MACROALARMS	0x8
#define LIST_CONFIGNAMES	0x10
#define LIST_WIN_SCR_PRG	0x20



#endif
